%define date    20160108

Name:           super-space-invader
Version:        0
Release:        %mkrel -c git%{date} 2
Summary:        Explosive two-button top-down space shooter
Group:          Games/Arcade
License:        zlib
URL:            http://nova-fusion.com/games/super-space-invader
# https://github.com/BlackBulletIV/super-space-invader + submodules
Source0:        %{name}-git%{date}.tar.xz
Source1:        icon-64.png

BuildArch:      noarch
BuildRequires:  zip
Requires:       love

# temporarily obsolete itself to get removed from cauldron
# the current version does not support love 0.10.x
Obsoletes:      super-space-invader < 0-0.git20160108.3

%description
An explosive arcade game combining space invaders, bullet hell,
some Vlambeer, and other influences. Plough through 13 waves
and choose from 13 ship upgrades along the way.

If there's one thing you do, make sure to jump into sandbox mode.
It's a great way to get a taste for what the game offers and/or
get to blowing stuff up quickly, especially if you're finding
the normal waves too hard. Sandbox mode to puts you straight
into the last (infinite) wave with a fully upgraded ship.

%prep
%autosetup -n %{name}-git%{date}

%build

%install
# Create and install the .love (zip) archive
zip -9 -r %{name}.love .
install -D -m644 %{name}.love %{buildroot}%{_gamesdatadir}/%{name}/%{name}.love

# Launcher script
cat > %{name}.sh << EOF
#!/bin/sh
love %{_gamesdatadir}/%{name}/%{name}.love
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

# Desktop entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Super Space Invader
GenericName=Two-button shooter
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF
install -D -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files
%doc README.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/%{name}.love
%{_iconsdir}/hicolor/64x64/apps/%{name}.png


%changelog
* Sat Jul 30 2016 akien <akien> 0-0.git20160108.2.mga6
+ Revision: 1043998
- Temporarily obsolete itself, no support for love 0.10.x so far

* Thu Jan 14 2016 akien <akien> 0-0.git20160108.1.mga6
+ Revision: 923133
- imported package super-space-invader

